Bug 1017329 - [RFE][horizon]: It would be nice if we had live monitoring of storage components
[RFE][horizon]: It would be nice if we had live monitoring of storage components
Status: CLOSED CANTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: RHOS Maint
Toure Dunnon
https://blueprints.launchpad.net/hori...
storage upstream_milestone_next upstr...
: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 11:56 EDT by Dafna Ron
Modified: 2016-09-06 10:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-06 10:44:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1237483 None None None Never

  None (edit)
Description Dafna Ron 2013-10-09 11:56:17 EDT
Description of problem:

It would be nice to add to horizon live monitoring of storage (when storage is remote it's expected to have some live errors if we fail to mount/connect to it). 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. configure gluster for cinder and glance
2. run instances from images and volumes
3. shut down the gluster servers

Actual results:

there is no monitoring that there is something wrong with the storage until we try to run other instances 

Expected results:

we should see alerts that the storage is not accessible 

Additional info:
Comment 1 Julie Pichon 2014-05-28 05:48:08 EDT
It sounds like something that would fall more under the remit of managing infrastructure rather than self-service for end-users.

Jarda, Ladislav, is that something that the TripleO UI is looking into as well?
Comment 2 Jaromir Coufal 2014-05-28 06:24:18 EDT
TripleO is looking into that but the time when this will be available is hard to estimate. It's quite likely that it will not land in Juno release.
Comment 3 Julie Pichon 2014-05-28 06:38:02 EDT
Thank you for the reply Jarda. Is there an upstream bug or blueprint we could link to for tracking this work?
Comment 4 Jaromir Coufal 2014-05-29 07:03:23 EDT
I'll make sure there is one and I will paste it here.
Comment 5 Julie Pichon 2014-05-29 09:45:29 EDT
Thank you!
Comment 6 Jaromir Coufal 2014-06-13 07:53:13 EDT
Related upstream blueprint: https://blueprints.launchpad.net/horizon/+spec/node-management-ui
Comment 7 Matthias Runge 2014-10-14 07:35:24 EDT
This is something, tripleo UI needs to solve. Monitoring of infrastructure components is nothing horizon should show to end customers.
Comment 9 Dmitry Tantsur 2016-09-06 10:44:56 EDT
Hello everyone!

I don't see a single hint why Ironic could be involved. Also we've done quite a few rewrites of tripleo UI, so it's probably not too valid. Anyway, Ironic is not and won't be watching hardware on the user's instance. If you plan to reopen this bug, please move it to a different component.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.